# Centro de Eventos de Pelea

* Agregue su nombre único de ID de operador.
* Establezca targetModule: "iframe".
* Ingrese la ID del evento. Tenga en cuenta que debe usar la ID única para la cartelera; por ejemplo, para UFC FIGHT NIGHT la ID del evento es "707".
* Encuentre la ID de pelea única a la que le gustaría navegar cuando el Centro de Eventos se cargue inicialmente. En este ejemplo, la ID de la pelea es "6667".
* Agregue el contexto inicial, que consiste solo en "fightId".
  * El campo ‘view’ debe ser: "Fight" para permitir la navegación a la cartelera completa.
  * "fightId" corresponde a una pelea determinada.

```javascript
initialContext: {
          view: "Fight",
          fightId: "fightID"
        }
```

{% embed url="<https://codesandbox.io/s/muddy-firefly-jpjdui>" %}

Código de muestra:

```javascript
const { MessageTopics } = frontRowSeat.eventCentreUtils;
const eventCentreInstance = frontRowSeat.eventCentre({
        operator: "operatorIDName",
        sport: "ufc",
        targetModule: "full",
        eventId: "eventID",
        version: "version number",
        targetElementSelector: "#img-arena-event-centre",
        language: "en",
        initialContext: {
          view: "Fight",
          fightId: "fightID"
        }
      });
```

Tenga en cuenta que, si no desea permitir la navegación y quiere limitar la vista solo para una pelea en particular, puede hacerlo pasando "targetModule:" como "fight".

{% embed url="<https://codesandbox.io/s/silly-microservice-zejkxw>" %}

Tenga en cuenta que no hay un botón Volver en el Centro de Eventos anterior.

Código de muestra:

```javascript
const { MessageTopics } = frontRowSeat.eventCentreUtils;
const eventCentreInstance = frontRowSeat.eventCentre({
        operator: "operatorIDName",
        sport: "ufc",
        targetModule: "fight",
        eventId: "681",
        version: "dev/beac4ea5",
        targetElementSelector: "#img-arena-event-centre",
        language: "en",
        initialContext: {
          view: "Fight",
          fightId: "6667"
        }
      });
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/ufc-5.0/ufc-5.0-latam-spanish/modulos-de-centro-de-eventos-ufc/centro-de-eventos-de-pelea.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
